summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGedare Bloom <gedare@rtems.org>2015-05-14 12:33:00 -0400
committerGedare Bloom <gedare@rtems.org>2015-05-14 12:33:00 -0400
commit1bbaa6e1934f4838bbd10365a6f679659a930dbc (patch)
tree588f34ee62bb9047f46a9528d4ad104869a45094
parentrelease.sh: use git branch instead of git status to determine current git branch (diff)
downloadrtems-testing-1bbaa6e1934f4838bbd10365a6f679659a930dbc.tar.bz2
release.sh: error-check for doxygen
-rwxr-xr-xrelease-helpers/release.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/release-helpers/release.sh b/release-helpers/release.sh
index 8fda157..c1e0294 100755
--- a/release-helpers/release.sh
+++ b/release-helpers/release.sh
@@ -102,6 +102,9 @@ check_error $? "Not at the top of an RTEMS tree"
type sb-bootstrap >/dev/null 2>&1
check_error $? "sb-bootstrap is not in your PATH"
+type doxygen > /deve/null 2>&1
+check_error $? "doxygen is not in your PATH"
+
if [ ${bump_dot_release} = "no" -a ${bump_major_version} = "no" ] ; then
fatal "Must select an action: bump major or dot release"
fi